package models

import (
	"rdluck_tools/orm"
)

type ActivityType struct {
	ActivityTypeId   int    `description:"活动类型id"`
	ActivityTypeName string `description:"活动名称"`
	//TemplateP        string `description:"活动模板，带P标签"`
	//Template         string `description:"活动模板"`
	ShowType string `description:"人数限制类型，1不展示限制，2可选限制，3强制限制"`
	IsChoose bool   `description:"是否选择"`
}

type ActivityTypeListResp struct {
	List []*ActivityType
}

//列表
func GetActivityTypeList() (items []*ActivityType, err error) {
	o := orm.NewOrm()
	sql := `SELECT * FROM cygx_activity_type ORDER BY sort DESC`
	_, err = o.Raw(sql).QueryRows(&items)
	return
}

func GetActivityTypeDetailById(activityTypeId int) (item *ActivityType, err error) {
	o := orm.NewOrm()
	sql := `SELECT * FROM cygx_activity_type WHERE activity_type_id = ? `
	err = o.Raw(sql, activityTypeId).QueryRow(&item)
	return
}
